## org.apache.lucene.queryParser.standard.config
Class DefaultOperatorAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.DefaultOperatorAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, DefaultOperatorAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class DefaultOperatorAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements DefaultOperatorAttribute, ConfigAttribute

This attribute is used by `GroupQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which is the default boolean operator when no operator is defined between terms.

See Also:
  `DefaultOperatorAttribute`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.queryParser.standard.config.DefaultOperatorAttribute
`DefaultOperatorAttribute.Operator`

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`DefaultOperatorAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`DefaultOperatorAttribute.Operator` `getOperator()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setOperator(DefaultOperatorAttribute.Operator operator)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultOperatorAttributeImpl

    public DefaultOperatorAttributeImpl()

  Deprecated.

Method Detail

### setOperator

    public void setOperator(DefaultOperatorAttribute.Operator operator)

  Deprecated.
  Specified by:
    `setOperator` in interface `DefaultOperatorAttribute`

### getOperator

    public DefaultOperatorAttribute.Operator getOperator()

  Deprecated.
  Specified by:
    `getOperator` in interface `DefaultOperatorAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`